Subject: Re: FW: SKB corruption on heavy traffic

From: "Gerhard Pircher" <[email-masked]>
Date: Wed, 30 Apr 2008 14:25:56 +0200

Hi,

I think I have the same problem here with all versions of the 2.6.x kernel
series (tested with kernel v2.6.8/14/16/18/25 on a PPC7455 machine with
different PCI network cards by transferring a big file over NFS/SCP). Data
corruption occurs under high load, but I don't get any kernel oops.

regards,

Gerhard

-------- Original-Nachricht --------
> Datum: Wed, 30 Apr 2008 10:07:15 +0100
> Von: "Franca, Jose (NSN - PT/Portugal - MiniMD)" <[email-masked]>
> An: [email-masked], [email-masked]
> Betreff: FW: SKB corruption on heavy traffic

> >From our latest debugs we found that the problem occurs mainly on skbuff
> code. After some variable time kfree or kalloc result in kernel oops.
> 
> -----Original Message-----
> From: Franca, Jose (NSN - PT/Portugal - MiniMD) 
> Sent: quarta-feira, 30 de Abril de 2008 9:44
> To: 'ext Scott Wood'
> Cc: 	
> Subject: RE: SKB corruption on heavy traffic
> 
> Hello!
> 
> 	Thank you for replying!
> 	It't quite dificult to say if the problem exists without our
> changes, since the all software is dependent on this changes so to work
> with the hardware. I can't answer to that right now on that, but I forgot 
> to add one thing: we have ring buffer full problems on our fcc_enet
> driver from time to time. So, I think the problem could be on linux
> configurations (related to hw) because there is a lot of posts on the web 
> related to problems similar to this (none of them has really solved the
> bottom problem). 
> 
> Regards,
> Filipe 
> 
> -----Original Message-----
> From: ext Scott Wood [mailto:[email-masked]] 
> Sent: terça-feira, 29 de Abril de 2008 20:15
> To: Franca, Jose (NSN - PT/Portugal - MiniMD)
> Cc: [email-masked]; [email-masked]
> Subject: Re: SKB corruption on heavy traffic
> 
> On Tue, Apr 29, 2008 at 07:39:07PM +0100, Franca, Jose (NSN - PT/Portugal
> - MiniMD) wrote:
> > 	We are developing a MPC8247 based telecom board (512MB), using
> > linux 2.4 with some proprietary changes on IP stack and we are facing
> > some problems when we have heavy traffic on our Ethernet interfaces...
> 
> Do you see these problems without the proprietary changes, and with a
> current kernel?
> 
> -Scott

-- 
Psst! Geheimtipp: Online Games kostenlos spielen bei den GMX Free Games! 
http://games.entertainment.gmx.net/de/entertainment/games/free